<apex:component >
    <apex:attribute name="wrapper" type="SelectedDateLogViewWrapper" description="LogView data container" />
    
   
        <apex:repeat value="{!wrapper.shiftList}" var="shift" id="ShiftsWrap">
            <fieldset class="detailPanel">
                <legend class="sectionCaption"> {!shift.shiftConfig.Name} </legend>
                <!-- Team Allocation Detail -->
                <table width="95%" border="0" cellpadding="0" cellspacing="0" id="shiftDetailPanelTable" >
                    <apex:variable var="shiftTA" value="{!shift.teamAllocation}" />
                    <tr class="dataRow">
                        <td width="13%" class="fieldCaptionCell bBorder">Team Allocation Name:</td>
                        <td width="20%" class="fieldValueCell bBorder">{!shiftTA.Text_01__c}</td>
                        <td width="2%">&nbsp;</td>
                        <td width="13%" class="fieldCaptionCell bBorder">Shift:</td>
                        <td width="20%" class="fieldValueCell bBorder">{!shiftTA.Text_03__c}</td>
                        <td width="2%">&nbsp;</td>
                        <td width="11%" class="fieldCaptionCell bBorder">Approver:</td>
                        <td width="20%" class="fieldValueCell bBorder">{!shiftTA.Text_10__c}</td>                                
                    </tr>
                    <tr class="dataRow">
                        <td class="fieldCaptionCell bBorder">Date:</td>
                        <td class="fieldValueCell bBorder">{!shiftTA.Text_02__c}</td>
                        <td>&nbsp;</td>
                        <td class="fieldCaptionCell bBorder">Status:</td>
                        <td class="fieldValueCell bBorder">{!shiftTA.Text_04__c}</td>  
                        <td>&nbsp;</td>
                        <td class="fieldCaptionCell bBorder">Approve Date Time:</td>
                        <td class="fieldValueCell bBorder">{!shiftTA.Text_11__c}</td>                                                            
                    </tr>
                    <tr class="dataRow">
                        <td class="fieldCaptionCell bBorder">Team:</td>
                        <td class="fieldValueCell bBorder">{!shiftTA.Text_06__c}</td>
                        <td>&nbsp;</td>
                        <td class="fieldCaptionCell bBorder">Operating District:</td>
                        <td class="fieldValueCell bBorder">{!shiftTA.Text_08__c}</td>                     
                    </tr>                            
                   
                    <tr class="dataRow">
                        <td class="fieldCaptionCell bBorder" style="vertical-align:top;">Description:</td>
                        <td class="fieldValueCell bBorder" style="vertical-align:top;"><apex:outputText value="{!shiftTA.Text_Area_01__c}" escape="false"/></td>
                                        
                    </tr>
                </table>                                                
                <!-- Operational Events -->
                <apex:outputpanel rendered="{!shift.hasOperationalEvents}">
                    <table width="98%" border="0" cellpadding="0" cellspacing="0">
                        <tr><td colspan="8" class="blankHorizontalLine">&nbsp;</td></tr>
                        <tr class="subDetailHeaderRow">
                            <td colspan="8" class="subDetailHeaderCell trlBorder">Operational Events</td>
                        </tr>
                        <tr class="subDetailColumnHeaderRow">                            
                            
                            <td width="6%" class="subDetailColumnHeaderCell trblBorder">Time</td>
                            <!--<td width="9%" class="subDetailColumnHeaderCell trbBorder">Unit</td>-->
                            <!--<td width="6%" class="subDetailColumnHeaderCell trbBorder">Time</td>-->
                            <td width="15%" class="subDetailColumnHeaderCell trbBorder">Shift Resource</td>
                            <td width="10%" class="subDetailColumnHeaderCell trbBorder">Priority</td>
                            <td width="27%" class="subDetailColumnHeaderCell trbBorder">Description</td>
                            <!--<td width="12%" class="subDetailColumnHeaderCell trbBorder">Equipment</td>
                            <td width="12%" class="subDetailColumnHeaderCell trbBorder">Work Order #</td>-->
                        </tr>
                        <apex:repeat value="{!shift.operationalEvents}" var="OEvent">
                            <tr class="dataRow">                                
                                
                                <td class="subDetailColumnDataCell rblBorder">{!OEvent.Text_02__c}</td>
                                <!--<td class="subDetailColumnDataCell rbBorder">{!OEvent.Text_01__c}</td>-->
                                <!--<td class="subDetailColumnDataCell rbBorder">{!OEvent.Text_02__c}</td>-->
                                <td class="subDetailColumnDataCell rbBorder">{!OEvent.Text_03__c}</td>
                                <td class="subDetailColumnDataCell rbBorder">{!OEvent.Text_05__c}</td>
                                <td class="subDetailColumnDataCell rbBorder"><apex:outputText value="{!OEvent.Text_Area_01__c}" escape="false"/></td>
                                <!--<td class="subDetailColumnDataCell rbBorder">{!OEvent.Text_04__c}</td>
                                <td class="subDetailColumnDataCell rbBorder">{!OEvent.Text_07__c}</td>-->
                            </tr>
                        </apex:repeat>                             
                        <tr><td colspan="8" class="blankHorizontalLine">&nbsp;</td></tr>
                    </table>
                </apex:outputpanel>
                
                
            </fieldset>
        </apex:repeat>
   
</apex:component>